Qt 5.8 | Qt Charts | C++ Classes | QXYLegendMarker

Qt 5.8.0 Reference Documentation

# QXYLegendMarker Class

The QXYLegendMarker class is a legend marker for a line, spline, or scatter series. More...

Header: | #include <QXYLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QXYLegendMarker()

## Reimplemented Public Functions

virtual QXYSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

The QXYLegendMarker class is a legend marker for a line, spline, or scatter series.

An XY legend marker is related to QXYSeries derived classes: QLineSeries, QSplineSeries, and QScatterSeries. Each marker is related to one series.

See also QLegend, QXYSeries, QSplineSeries, QScatterSeries, and QLineSeries.

## Member Function Documentation

### `[virtual]` QXYLegendMarker::~QXYLegendMarker()

Removes the legend marker for a line, spline, or scatter series.

### `[virtual]` QXYSeries *QXYLegendMarker::series()

Reimplemented from QLegendMarker::series().

### `[virtual]` LegendMarkerType QXYLegendMarker::type()

Reimplemented from QLegendMarker::type().